Bug 1738969 - gdeploy depends on Python 2
Summary: gdeploy depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdeploy
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sachidananda Urs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-08 12:08 UTC by Lumír Balhar
Modified: 2019-10-02 00:46 UTC (History)
4 users (show)

Fixed In Version: gdeploy-3.0.0-1 gdeploy-3.0.0-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-23 09:00:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 12:08:08 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gdeploy's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gdeploy.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:06:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:29:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-16 09:04:38 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-23 15:29:40 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Lumír Balhar 2019-09-02 05:31:56 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 6 Sachidananda Urs 2019-09-06 08:52:02 UTC
(In reply to Lumír Balhar from comment #0)
> Python 2.7 will reach end-of-life in January 2020, over 9 years after it was
> released. This falls within the Fedora 31 lifetime.
> Packages that depend on Python 2 are being switched to Python 3 or removed
> from Fedora:
> https://fedoraproject.org/wiki/Changes/
> F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
> Python 2 will be retired in Fedora 32:
> https://fedoraproject.org/wiki/Changes/RetirePython2
> 
> To help planning, we'd like to know the plans for gdeploy's future.
> Specifically:
> 
> 
> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

The software is written in Python2. 

> 
> - What are the upstream/community plans/timelines regarding Python 3?
> 

Will plan to review the code and migrate to Python3 by early December 2019.

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)
> 

We do not have anyone who knows the project and willing to migrate. But
will plan to find someone who could help.

Comment 7 Lumír Balhar 2019-09-13 08:51:05 UTC
Thanks for the info.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 8 Petr Viktorin 2019-09-18 13:49:11 UTC
Here is an example exception request: https://pagure.io/fesco/issue/2208

gdeploy needs these Python 2 packages:
- python2-setuptools
- python2-pyyaml

Check with their maintainers if they want to keep maintaining the python2 parts, and request the exception for them as well.

The python2-setuptools maintainer will most likely ask you to co-maintain the package: https://bugzilla.redhat.com/show_bug.cgi?id=1747850

Comment 9 Fedora Update System 2019-09-19 11:00:29 UTC
FEDORA-2019-49ab2323ae has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-49ab2323ae

Comment 10 Fedora Update System 2019-09-20 01:56:48 UTC
gdeploy-3.0.0-1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-49ab2323ae

Comment 11 Miro Hrončok 2019-09-20 22:59:03 UTC
I've seen some updates for Fedora 30 that claim to port this to Python 3. Thanks! Does it work?

Could you please do this in Fedora rawhide? Note that it is probably not possible to build the same package version-release on rawhide and Fedora 31 and Fedora 30 due to this change:

https://src.fedoraproject.org/rpms/gdeploy/c/ba834ba2dea953df5f257619f79b7cf1115cca03?branch=master

Would you like me to fix the release tags and do the builds?

Comment 12 Sachidananda Urs 2019-09-21 04:03:07 UTC
(In reply to Miro Hrončok from comment #11)
> I've seen some updates for Fedora 30 that claim to port this to Python 3.
> Thanks! Does it work?
> 

Yes, it does work. I have tested a few cases.

> Could you please do this in Fedora rawhide? Note that it is probably not
> possible to build the same package version-release on rawhide and Fedora 31
> and Fedora 30 due to this change:
> 
> https://src.fedoraproject.org/rpms/gdeploy/c/
> ba834ba2dea953df5f257619f79b7cf1115cca03?branch=master
> 
> Would you like me to fix the release tags and do the builds?


I can do the builds. I tried earlier, as you said it complained that build is already present.
I'll change the release number and do another build. Thanks.

Comment 13 Fedora Update System 2019-09-23 05:30:39 UTC
FEDORA-2019-00498b2f16 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-00498b2f16

Comment 14 Sachidananda Urs 2019-09-23 05:57:03 UTC
(In reply to Sachidananda Urs from comment #12)
> (In reply to Miro Hrončok from comment #11)
> > I've seen some updates for Fedora 30 that claim to port this to Python 3.
> > Thanks! Does it work?
> > 
> 
> Yes, it does work. I have tested a few cases.
> 
> > Could you please do this in Fedora rawhide? Note that it is probably not
> > possible to build the same package version-release on rawhide and Fedora 31
> > and Fedora 30 due to this change:
> > 
> > https://src.fedoraproject.org/rpms/gdeploy/c/
> > ba834ba2dea953df5f257619f79b7cf1115cca03?branch=master
> > 
> > Would you like me to fix the release tags and do the builds?
> 
> 
> I can do the builds. I tried earlier, as you said it complained that build
> is already present.
> I'll change the release number and do another build. Thanks.

I've built the package for rawhide.

Comment 15 Miro Hrončok 2019-09-23 09:00:27 UTC
Thank You.

Comment 16 Fedora Update System 2019-09-24 01:23:35 UTC
gdeploy-3.0.0-3 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-00498b2f16

Comment 17 Fedora Update System 2019-09-28 03:39:02 UTC
gdeploy-3.0.0-1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-02 00:46:21 UTC
gdeploy-3.0.0-3 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.